petsc-3.7.7 2017-09-25
Report Typos and Errors

# KSPPIPEFCGGetMmax

get the maximum number of previous directions PIPEFCG will store

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEFCGGetMmax(KSP ksp,PetscInt *mmax)

Note: PIPEFCG stores mmax+1 directions at most (mmax previous ones, and the current one)

Not Collective

### Input Parameter

ksp -the Krylov space context

### Output Parameter

mmax -the maximum number of previous directons allowed for orthogonalization

### Options Database

-ksp_pipefcg_mmax <N> -

### Keywords

KSP, PIPEFCG, truncation

### See Also

KSPPIPEFCG, KSPPIPEFCGGetTruncationType(), KSPPIPEFCGGetNprealloc(), KSPPIPEFCGSetMmax()

Level:intermediate
Location:src/ksp/ksp/impls/fcg/pipefcg/pipefcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages